package edu.uoc.zonefeed;

import com.googlecode.objectify.annotation.Cached;
import javax.persistence.Id;
import javax.persistence.Embedded;
import java.util.List;
import java.util.ArrayList;

@Cached
public class Categories{
	@Id long id = 1;
	@Embedded List<CategoryEntry> content;
  
	public List<CategoryEntry> getContent() {
		if (content == null) {
			content = new ArrayList<CategoryEntry>();
		}
		return content;
	}
  
	public void setContent(List<CategoryEntry> content) {
		this.content = content;
	}
}
