package edu.uoc.zonefeed;

import java.util.List;
import java.util.ArrayList;

public class CategoryNode {
	String value = "";
	String description = "";
	List<CategoryNode> children = new ArrayList<CategoryNode>();
	
	public CategoryNode() {
		
	}
	
	public CategoryNode(String value) {
		this.value = value;
	}
	
	public CategoryNode(String value, String description) {
		this.value = value;
		this.description = description;
	}
	
	public void setValue(String value) {
		this.value = value;
	}
	
	public String getValue() {
		return value;
	}
	
	public void setDescription(String description) {
		this.description = description;
	}
	
	public String getDescription() {
		return description;
	}
	
	public CategoryNode[] getChildren() {
		return children.toArray(new CategoryNode[0]);
	}
	
	public void addChild(CategoryNode target) {
		children.add(target);
	}
}
