package edu.uoc.zonefeed;

import javax.persistence.Id;
import com.googlecode.objectify.annotation.Cached;
import com.googlecode.objectify.Key;

@Cached
public class RegisteredUser {
	@Id String email;
	String screenName;
	Key<StoredImage> avatar;
	long lastActivity;
	
	public void setEmail(String email) {
		this.email = email;
	}
	
	public String getEmail() {
		return email;
	}
	
	public void setScreenName(String screenName) {
		this.screenName = screenName;
	}
	
	public String getScreenName() {
		return screenName;
	}
	
	public void setAvatar(Key<StoredImage> avatar) {
		this.avatar = avatar;
	}
	
	public Key<StoredImage> getAvatar() {
		return avatar;
	}
	
	public void setLastActivity(long lastActivity) {
		this.lastActivity = lastActivity;
	}
	
	public long getLastActivity() {
		return lastActivity;
	}
}
