<%@ page import='edu.uoc.zonefeed.*' %>
<%@ page import='java.util.Iterator' %>
<%@ page import='java.util.List' %>
<%@ page import='java.util.ArrayList' %>
<%
String name = "";
String description = "";
if (request.getAttribute("uoc.edu.zonefeed.name") != null) {
	name = (String)request.getAttribute("uoc.edu.zonefeed.name");
}
if (request.getAttribute("uoc.edu.zonefeed.description") != null) {
	description = (String)request.getAttribute("uoc.edu.zonefeed.description");
}


if (name == null) name = "";
if (description == null) description = "";
%>
<div class="post">
	<h2 class="title">Create Category</h2>
	<div class="entry">
	<form method="POST" action="doaddcategory">
<div class="formlabel"><label for="name">Name</label></div>
<div><input type="text" name="name" value=""></div>
<div class="formlabel"><label for="description">Description</label></div>
<div><textarea name="description"><%= description %></textarea></div>
<div class="formlabel"><label for="parent">Parent Category</label></div>
<div><select name="parent">
<option value="">&lt;Top level&gt;</option>
<%
Categories categories = Persistance.getInstance().getCategories();
if (categories != null) {
	List<CategoryEntry> content = categories.getContent();
	Iterator<CategoryEntry> entries = content.iterator();
	
	int level = 0;
	String dashes = " ";
	ArrayList<String> path = new ArrayList<String>();
	while (entries.hasNext()) {
		CategoryEntry entry = entries.next();
		while (level < entry.getLevel()) {
			dashes = "-" + dashes;
			level++;
		}
		while (level > entry.getLevel()) {
			dashes = dashes.substring(1);
			level--;
		}
		
		while (path.size() > level) {
			path.remove(path.size() - 1);
		}
		
		path.add(entry.getName());
		%>
		<option value="<%= Utils.join(path, "/") %>"><%= dashes %><%= entry.getName() %></option>
		<%
	}
	
}
%>
</select>
</div>
<div class="formlabel"><input type="submit" value="Send"></div>
</form>
</div></div>