<%@ page import='edu.uoc.zonefeed.*' %>
<%@ page import='java.util.Iterator' %>
<%@ page import='java.util.List' %>
<%@ page import='java.util.ArrayList' %>

<div class="post">
	<h2 class="title">Manage Categories</h2>
	<div class="entry">
	<div><a href="/addcategory">Add new category</a></div>
	<div style="margin-top: 15px;"><b>Defined categories:</b></div>
	<ul>
<%
Categories categories = Persistance.getInstance().getCategories();
if (categories != null) {
	List<CategoryEntry> content = categories.getContent();
	Iterator<CategoryEntry> entries = content.iterator();
	ArrayList<String> path = new ArrayList<String>();

	int level = 0;
	boolean foundFirst = false;
	
	while (entries.hasNext()) {
		CategoryEntry entry = entries.next();
		
		boolean addedUl = false;
		while (level < entry.getLevel()) {
			addedUl = true;
			out.write("<ul>");
			level++;
		}
		while (level > entry.getLevel()) {
			addedUl = true;
			out.write("</li></ul></li>");
			level--;
		}
		
		while (path.size() > level) {
			path.remove(path.size() - 1);
		}
		
		path.add(entry.getName());
		
		if (foundFirst) {
			if (!addedUl) {
				out.write("</li>");
			}
		} else {
			foundFirst = true;
		}

		%>
		<li><%= entry.getName() %> (<a href="/adminproperties?category=<%= Utils.join(path, "/") %>">properties</a>) (<a href="/doremovecategory?target=<%= Utils.join(path, "/") %>">delete</a>)
		<%
	}
} else {
	%>
	<li><em>No categories</em>
	<%
}
%>
</li>
</ul>
	<div><a href="/admin">Back to Administration Panel</a></div>
</div>
</div>
