<%@ 
page import='com.google.appengine.api.users.UserService' %><%@ 
page import='com.google.appengine.api.users.UserServiceFactory' %><%@ 
page import='edu.uoc.zonefeed.CategoryEntry' %><%@ 
page import='edu.uoc.zonefeed.Categories' %><%@ 
page import='edu.uoc.zonefeed.Persistance' %><%@ 
page import='edu.uoc.zonefeed.Utils' %><%@ 
page import='java.util.Iterator' %><%@ 
page import='java.util.List' %><%@ 
page import='java.util.ArrayList' %><%@ 
taglib uri='/WEB-INF/tlds/template.tld' prefix='template' %>
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="content-type" content="text/html; charset=utf-8" />
<title><template:get name='title'/> - ZoneFeed</title>
<meta name="description" content="<template:get name='description'/>" />
<link href="/favicon.ico" rel="shortcut icon" type="image/vnd.microsoft.icon" />
<link href="/res/style.css" rel="stylesheet" type="text/css" media="screen" />
<link href="/res/jquery.treeview.css" rel="stylesheet" type="text/css" media="screen" />
<link type="text/css" href="/res/ui-lightness/jquery-ui-1.8.13.custom.css" rel="stylesheet" />	
<script type="text/javascript" src="/res/jquery-1.5.1.min.js"></script>
<script type="text/javascript" src="/res/jquery-ui-1.8.13.custom.min.js"></script>
<script type="text/javascript" src="/res/jquery.treeview.js"></script>
<script type="text/javascript">
$(document).ready(function(){
	$("#navigation").treeview({
		persist: "location",
		collapsed: true,
		unique: true
	});
});
</script>
<% if (request.getAttribute("edu.uoc.zonefeed.addhead") != null) { %>
<%= request.getAttribute("edu.uoc.zonefeed.addhead") %>
<% } %>
</head>
<body>
<div id="wrapper">
	<div id="wrapper2">
		<div id="header">
		    <div id="topbar">
<%
  UserService userService = UserServiceFactory.getUserService();
  if (!userService.isUserLoggedIn()) {
%>
   <a href="<%=userService.createLoginURL("/cp")%>">Sign in</a>
<% } else { %>
   Signed in as <a href="/cp"><%= userService.getCurrentUser().getNickname() %></a>
<%
	 if (userService.isUserAdmin()) {
%>
     - <a href="/admin">Admin</a>
<%
  }
%>

     - <a href="<%=userService.createLogoutURL("/")%>">Sign out</a>
<%
  }
%>
   		    </div>
			<div id="logo">
				<h1>ZoneFeed</h1>
			</div>
			<div id="menu">
				<ul>
					<li><a href="/">Homepage</a></li>
					<li><a href="/byproperty">Search by property</a></li>
					<li><a href="/about">About</a></li>
					<li><a href="/contact">Contact</a></li>
				</ul>
			</div>
		</div>
		<!-- end #header -->
		<div id="page">
			<div id="content">
				<template:get name='content'/>
			</div>
			<!-- end #content -->
			<div id="sidebar">
				<ul>
					<li>
						<h3>Categories</h3>
						<ul id="navigation">
						<%
						Categories categories = Persistance.getInstance().getCategories();
						if (categories != null) {
							List<CategoryEntry> content = categories.getContent();
							Iterator<CategoryEntry> entries = content.iterator();
							ArrayList<String> path = new ArrayList<String>();

							int level = 0;
							boolean foundFirst = false;
							
							while (entries.hasNext()) {
								CategoryEntry entry = entries.next();
								
								boolean addedUl = false;
								while (level < entry.getLevel()) {
									addedUl = true;
									out.write("<ul>");
									level++;
								}
								while (level > entry.getLevel()) {
									addedUl = true;
									out.write("</li></ul></li>");
									level--;
								}
								
								while (path.size() > level) {
									path.remove(path.size() - 1);
								}
								
								path.add(entry.getName());
								
								if (foundFirst) {
									if (!addedUl) {
										out.write("</li>");
									}
								} else {
									foundFirst = true;
								}

								%>
								<li><a href="/viewcategory?name=<%= Utils.join(path, "/") %>" title="<%= entry.getDescription() %>"><%= entry.getName() %></a>
								<%
							}
						}
						%>

						</li>
						</ul>
						<%
						if (categories == null) {
						%>
						<em>No categories</em>
						<%
						}
						%>
					</li>
				<template:get name='sidebar'/>

				</ul>
			</div>
			<!-- end #sidebar -->
			<div style="clear: both;">&nbsp;</div>

			<!-- end #widebar -->
		</div>
		<!-- end #page -->
	</div>
	<!-- end #wrapper2 -->
	<div id="footer">
		<p>(c) 2011 ZoneFeed. Design by <a href="http://www.nodethirtythree.com/" rel="nofollow">NodeThirtyThree</a></p>
	</div>
</div>
<!-- end #wrapper -->
</body>
</html>
