<%@page contentType="text/xml" %><%@ page import='edu.uoc.zonefeed.*' %><%@ page import='java.util.Date' %><%@ page import='java.text.SimpleDateFormat' %><%
	String param = request.getParameter("name");
	Story[] result = Persistance.getInstance().getCategoryStories(param);
	String[] parts = param.split("/");
	SimpleDateFormat formatter = new SimpleDateFormat("EEE, dd MMM yyyy HH:mm:ss z");
%><?xml version="1.0"?>
<rss version="2.0">
<channel>
<title>Stories for category <%= Utils.join(parts, " &#187; ") %> - ZoneFeed</title>
<link>http://zonefeed.appspot.com/viewcategory?name=<%= param %></link>
<description>Stories that are classified under the <%= Utils.join(parts, " &#187; ") %> category.</description>
<language>en-us</language>
<copyright>Copyright 2011 ZoneFeed.</copyright>
<generator>ZoneFeed http://zonefeed.appspot.com/</generator>
<%
	for (int c=0;c<result.length;c++) {
%>
<item>
<title><![CDATA[<%= result[c].getTitle() %>]]></title>
<link>http://zonefeed.appspot.com/viewstory?id=<%= result[c].getId() %></link>
<guid isPermaLink="false">http://zonefeed.appspot.com/viewstory?id=<%= result[c].getId() %></guid>
<description><![CDATA[<%= result[c].getDescription() %>]]></description>
<pubDate><%= formatter.format(new Date(result[c].getCreated())) %></pubDate>
</item>
<%
	}
%>
</channel>
</rss>