<%@ 
page import='java.util.List' %><%@ 
page import='java.util.Iterator' %><%@ 
page import='java.util.ArrayList' %><%@ 
page import='edu.uoc.zonefeed.*' %><%@ 
page import='com.google.appengine.api.users.UserService' %><%@ 
page import='com.google.appengine.api.users.UserServiceFactory' %><%@ 
taglib uri='/WEB-INF/tlds/template.tld' prefix='template' %><%
String category = request.getParameter("category");

UserService userService = UserServiceFactory.getUserService();
if (!userService.isUserLoggedIn() || !userService.isUserAdmin()) {
	response.sendRedirect("/");
} else {
	CategoryProperty newEntry = new CategoryProperty();
	newEntry.setName(request.getParameter("name"));
	String defaultValue = request.getParameter("defaultvalue");
	
	if (defaultValue != null) {
		newEntry.setDefaultValue(defaultValue);
	}
	newEntry.setCategory(category);
	
	Persistance.getInstance().storeCategoryProperty(newEntry);
}
request.setAttribute("edu.uoc.zonefeed.title", "Property Created");
request.setAttribute("edu.uoc.zonefeed.content", "The property has been created.");
request.setAttribute("edu.uoc.zonefeed.link", "/adminproperties?category=" + category);
request.setAttribute("edu.uoc.zonefeed.linktitle", "Back to Manage Properties");
%>
<template:insert template='/base.jsp'>
  <template:put name='title' content='Property Created'/>
  <template:put name='content' content='/genericcontent.jsp' include='true' />
</template:insert>
