<%@ page import='edu.uoc.zonefeed.*' %>
<%@ page import='java.util.Iterator' %>
<%@ page import='java.util.List' %>
<%@ page import='java.util.ArrayList' %>
<%@ page import='java.util.Arrays' %>
<%@ page import='java.util.Set' %>
<%@ page import='java.util.HashMap' %>
<div class="post">
	<h2 class="title">New Story Properties</h2>
	<div class="entry">
	<form method="POST" action="/docreatestory">
	<input type="hidden" name="title" value="<%= request.getParameter("title") %>">
	<input type="hidden" name="description" value="<%= request.getParameter("description") %>">
<%
boolean foundNull = false;
int currentCategory = 1;
boolean foundProperties = false;
HashMap<String,CategoryProperty> propertyMap = new HashMap<String,CategoryProperty>();
while (!foundNull) {
	String categoryParam = request.getParameter("category" + currentCategory);
	if (categoryParam != null) {
%>
<input type="hidden" name="category<%= currentCategory %>" value="<%= categoryParam %>">
<%
		// Obtain category properties
		ArrayList<String> parts = new ArrayList<String>(Arrays.asList(categoryParam.split("/")));
		while (parts.size() > 0) {
			String currentSubCategory = Utils.join(parts, "/");
			parts.remove(parts.size() - 1);
			List<CategoryProperty> properties = Persistance.getInstance().getCategoryProperties(currentSubCategory);
			Iterator<CategoryProperty> entries = properties.iterator();
			
			while (entries.hasNext()) {
				foundProperties = true;
				CategoryProperty target = entries.next();
				if (!propertyMap.containsKey(target.getName())) {
					propertyMap.put(target.getName(), target);
				}
			}
			
		}
	} else {
		foundNull = true;
	}
	currentCategory++;
}

if (foundProperties) {
	Iterator entries = propertyMap.keySet().iterator();
	
	while (entries.hasNext()) {
		CategoryProperty entry = propertyMap.get(entries.next());
	%>
<div class="formlabel"><label for="property-<%= entry.getName() %>"><%= entry.getName() %></label></div>
<div><input type="text" name="property-<%= entry.getName() %>" value="<%= entry.getDefaultValue() %>"></div>
	<%
	}
} else {
%>
<div><em>No properties available for the selected categories.</em></div>
<%
}
%>


<div class="formlabel"><input type="submit" value="Create Story"></div>
</form>
</div></div>