package edu.uoc.zonefeed;

import java.io.IOException;
import javax.servlet.*;
import javax.servlet.http.*;

public class ImageServlet extends HttpServlet {
	private static final long serialVersionUID = 1L;
	
    public void doGet(HttpServletRequest request,
            HttpServletResponse response) throws IOException, ServletException {
    	String uri = request.getRequestURI();
    	long id = Long.parseLong(uri.substring(uri.lastIndexOf('/') + 1));
    	StoredImage image = Persistance.getInstance().getImage(id);
    	response.setContentType(image.getContentType());
    	response.getOutputStream().write(image.getImage().getBytes());
    }
}
