package edu.uoc.zonefeed;

import javax.persistence.Id;
import com.google.appengine.api.users.User;
import java.util.List;

public class Story {
	@Id Long id;
	String title;
	String description;
	boolean markedAsDuplicate;
	List<String> category;
	List<String> fullCategory;
	User author;
	long created;
	long modified;
	int entries;
	
	public void setTitle(String title) {
		this.title = title;
	}
	
	public void setDescription(String description) {
		this.description = description;
	}
	
	public void setAuthor(User author) {
		this.author = author;
	}
	
	public void setCreated(long created) {
		this.created = created;
	}
	
	public void setModified(long modified) {
		this.modified = modified;
	}
	
	public void setEntries(int entries) {
		this.entries = entries;
	}
	
	public String getTitle() {
		return title;
	}
	
	public String getDescription() {
		return description;
	}
	
	public long getCreated() {
		return created;
	}
	
	public long getModified() {
		return modified;
	}
	
	public long getId() {
		return id;
	}
	
	public int getEntries() {
		return entries;
	}
	
	public List<String> getCategory() {
		return category;
	}
	
	public void setCategory(List<String> category) {
		this.category = category;
	}
	
	public List<String> getFullCategory() {
		return fullCategory;
	}
	
	public void setFullCategory(List<String> fullCategory) {
		this.fullCategory = fullCategory;
	}
}
