<%@ 
page import='java.util.Date' %><%@ 
page import='java.util.List' %><%@ 
page import='java.util.Iterator' %><%@ 
page import='java.util.ArrayList' %><%@ 
page import='edu.uoc.zonefeed.*' %><%@ 
page import='com.google.appengine.api.users.UserService' %><%@ 
page import='com.google.appengine.api.users.UserServiceFactory' %><%@ 
taglib uri='/WEB-INF/tlds/template.tld' prefix='template' %><%
UserService userService = UserServiceFactory.getUserService();
if (!userService.isUserLoggedIn() || !userService.isUserAdmin()) {
	response.sendRedirect("/");
} else {
	CategoryEntry newCategory = new CategoryEntry(request.getParameter("name"), request.getParameter("description"), 0);
	
	Categories categories = Persistance.getInstance().getCategories();
	if (categories != null) {
		List<CategoryEntry> content = categories.getContent();
		
		String parent = request.getParameter("parent");
		if ((parent != null) && (parent.length() > 0)) {
			String[] parts = parent.split("/");
			
			int currentLevel = 0;
			boolean finished = false;
			Iterator<CategoryEntry> entries = content.iterator();
			int targetIndex = -1;
			int currentIndex = 0;
			while (entries.hasNext() && !finished) {
				CategoryEntry entry = entries.next();
				
				if (currentLevel >= parts.length) {
					if (entry.getLevel() < parts.length) {
						finished = true;
					} else {
						targetIndex = currentIndex;
					}
				} else if ((entry.getLevel() == currentLevel)&&entry.getName().equals(parts[currentLevel])) {
					currentLevel++;
					if (currentLevel == parts.length) {
						targetIndex = currentIndex;
					}
				} else if (entry.getLevel() < currentLevel) {
					finished = true;
				}
				
				currentIndex++;
			}
			if (targetIndex > -1) {
				newCategory.setLevel(parts.length);
				content.add(targetIndex+1, newCategory);
			}
		} else {
			// Just append
			content.add(newCategory);
		}
	} else {
		List<CategoryEntry> entries = new ArrayList<CategoryEntry>();
		categories = new Categories();
		entries.add(newCategory);
		categories.setContent(entries);
	}
	Persistance.getInstance().storeCategories(categories);
}
request.setAttribute("edu.uoc.zonefeed.title", "Category Created");
request.setAttribute("edu.uoc.zonefeed.content", "The category has been created.");
request.setAttribute("edu.uoc.zonefeed.link", "/admincategories");
request.setAttribute("edu.uoc.zonefeed.linktitle", "Back to Manage Categories");
%>
<template:insert template='/base.jsp'>
  <template:put name='title' content='Category Created'/>
  <template:put name='content' content='/genericcontent.jsp' include='true' />
</template:insert>
