<%@ 
page import='java.util.Date' %><%@ 
page import='java.util.List' %><%@ 
page import='java.util.Iterator' %><%@ 
page import='java.util.ArrayList' %><%@ 
page import='edu.uoc.zonefeed.*' %><%@ 
page import='com.google.appengine.api.users.UserService' %><%@ 
page import='com.google.appengine.api.users.UserServiceFactory' %><%@ 
taglib uri='/WEB-INF/tlds/template.tld' prefix='template' %><%
UserService userService = UserServiceFactory.getUserService();
if (!userService.isUserLoggedIn() || !userService.isUserAdmin()) {
	response.sendRedirect("/");
} else {
	OntologyParser parser = new OntologyParser();
	
	parser.loadOntology(request.getParameter("url"));
	
	CategoryNode root = parser.getCategoryTree(request.getParameter("base"));
	
	String parentCategory = request.getParameter("parent");
	
	Categories categories = Persistance.getInstance().getCategories();
	if (categories == null) {
		categories = new Categories();
		List<CategoryEntry> entries = new ArrayList<CategoryEntry>();
		categories.setContent(entries);
	}
	
	List<CategoryEntry> content = categories.getContent();
	
	List<CategoryEntry> newEntries = Utils.convertCategoryNodeToEntries(root);
	

	int targetIndex = -1;
	int targetLevel = 0;
	
	if ((parentCategory != null) && (parentCategory.length() > 0)) {
		String[] parts = parentCategory.split("/");
		
		int currentLevel = 0;
		boolean finished = false;
		Iterator<CategoryEntry> entries = content.iterator();
		int currentIndex = 0;
		while (entries.hasNext() && !finished) {
			CategoryEntry entry = entries.next();
			
			if ((entry.getLevel() == currentLevel)&&entry.getName().equals(parts[currentLevel])) {
				currentLevel++;
				if (currentLevel == parts.length) {
					targetIndex = currentIndex;
					finished = true;
				}
			}
			
			currentIndex++;
		}
		if (targetIndex > -1) {
			targetIndex++;
			targetLevel = parts.length;
		}
	}
	
	if (targetIndex < 0) {
		targetIndex = content.size();
		targetLevel = 0;
	}
	
	for (CategoryEntry entry: newEntries) {
		entry.setLevel(entry.getLevel() + targetLevel);
		content.add(targetIndex, entry);
		targetIndex++;
	}
	
	
	Persistance.getInstance().storeCategories(categories);
}

request.setAttribute("edu.uoc.zonefeed.title", "Ontology Imported");
request.setAttribute("edu.uoc.zonefeed.content", "The categories have been imported.");
request.setAttribute("edu.uoc.zonefeed.link", "/admin");
request.setAttribute("edu.uoc.zonefeed.linktitle", "Back to Administration Panel");
%>
<template:insert template='/base.jsp'>
  <template:put name='title' content='Ontology Imported'/>
  <template:put name='content' content='/genericcontent.jsp' include='true' />
</template:insert>
