<%@ 
page import='java.util.Date' %><%@ 
page import='java.util.List' %><%@ 
page import='java.util.Iterator' %><%@ 
page import='java.util.ArrayList' %><%@ 
page import='edu.uoc.zonefeed.*' %><%@ 
page import='com.google.appengine.api.users.UserService' %><%@ 
page import='com.google.appengine.api.users.UserServiceFactory' %><%@ 
taglib uri='/WEB-INF/tlds/template.tld' prefix='template' %><%
UserService userService = UserServiceFactory.getUserService();
if (!userService.isUserLoggedIn() || !userService.isUserAdmin()) {
	response.sendRedirect("/");
}

Categories categories = Persistance.getInstance().getCategories();
if (categories != null) {
	List<CategoryEntry> content = categories.getContent();
	
	String target = request.getParameter("target");
	if ((target != null) && (target.length() > 0)) {
		String[] parts = target.split("/");
		
		int currentLevel = 0;
		boolean finished = false;
		Iterator<CategoryEntry> entries = content.iterator();
		int targetIndex = -1;
		int currentIndex = 0;
		while (entries.hasNext() && !finished) {
			CategoryEntry entry = entries.next();
			
			if ((entry.getLevel() == currentLevel)&&entry.getName().equals(parts[currentLevel])) {
				currentLevel++;
				if (currentLevel == parts.length) {
					targetIndex = currentIndex;
					finished = true;
				}
			}
			
			currentIndex++;
		}
		if (targetIndex > -1) {
			int baseLevel = content.get(targetIndex).getLevel();
			content.remove(targetIndex);
			
			while ((targetIndex < content.size()) && (content.get(targetIndex).getLevel() > baseLevel)) {
				content.remove(targetIndex);
			}
		}
	}
	Persistance.getInstance().storeCategories(categories);
}

request.setAttribute("edu.uoc.zonefeed.title", "Category Deleted");
request.setAttribute("edu.uoc.zonefeed.content", "The category has been deleted.");
request.setAttribute("edu.uoc.zonefeed.link", "/admincategories");
request.setAttribute("edu.uoc.zonefeed.linktitle", "Back to Manage Categories");
%>
<template:insert template='/base.jsp'>
  <template:put name='title' content='Category Deleted'/>
  <template:put name='content' content='/genericcontent.jsp' include='true' />
</template:insert>
