<%@ 
page import='edu.uoc.zonefeed.*' %><%@ 
page import='com.google.appengine.api.users.UserService' %><%@ 
page import='com.google.appengine.api.users.UserServiceFactory' %><%@ 
taglib uri='/WEB-INF/tlds/template.tld' prefix='template' %><%
UserService userService = UserServiceFactory.getUserService();
if (!userService.isUserLoggedIn() || !userService.isUserAdmin()) {
	response.sendRedirect("/");
	return;
}

long id = Long.parseLong(request.getParameter("target"));
CategoryProperty target = Persistance.getInstance().getCategoryProperty(id);

Persistance.getInstance().removeCategoryProperty(target);

request.setAttribute("edu.uoc.zonefeed.title", "Property Deleted");
request.setAttribute("edu.uoc.zonefeed.content", "The property has been deleted.");
request.setAttribute("edu.uoc.zonefeed.link", "/adminproperties?category=" + target.getCategory());
request.setAttribute("edu.uoc.zonefeed.linktitle", "Back to Manage Properties");
%>
<template:insert template='/base.jsp'>
  <template:put name='title' content='Property Deleted'/>
  <template:put name='content' content='/genericcontent.jsp' include='true' />
</template:insert>
