<%@page contentType="text/xml" %><%@ page import='edu.uoc.zonefeed.*' %><%@ page import='java.util.Date' %><%@ page import='java.text.SimpleDateFormat' %><%
	long id = Long.parseLong(request.getParameter("id"));
	Story story = Persistance.getInstance().getStory((long)id);
	Comment[] comments = Persistance.getInstance().getStoryComments((long)id);
	SimpleDateFormat formatter = new SimpleDateFormat("EEE, dd MMM yyyy HH:mm:ss z");
%><?xml version="1.0"?>
<rss version="2.0">
<channel>
<title><%= story.getTitle() %> - ZoneFeed</title>
<link>http://zonefeed.appspot.com/viewstory?id=<%= story.getId() %></link>
<description><%= story.getDescription() %></description>
<language>en-us</language>
<copyright>Copyright 2011 ZoneFeed.</copyright>
<generator>ZoneFeed http://zonefeed.appspot.com/</generator>
<%
for (Comment comment: comments) {
%>
<item>
<title><![CDATA[<%= comment.getText() %>]]></title>
<link>http://zonefeed.appspot.com/viewstory?id=<%= story.getId() %>#<%= comment.getId() %></link>
<guid isPermaLink="false">http://zonefeed.appspot.com/viewstory?id=<%= story.getId() %>#<%= comment.getId() %></guid>
<description><![CDATA[<%
if (comment.getType() == Comment.LINK) {
	String linkTitle = comment.getLink();
    if ((comment.getTitle() != null) && (comment.getTitle().length() > 0)) {
    	linkTitle = comment.getTitle();
    }
%>
<div><a href="<%= comment.getLink() %>"><%= linkTitle %></a></div>
<% 
} else if (comment.getType() == Comment.VIDEO) {
%>
<div>
<object width="425" height="344">
<param name="movie" value="http://www.youtube.com/v/<%= comment.getLink() %>?fs=1">
<param name="allowFullScreen" value="true">
<param name="allowScriptAccess" value="always">
<embed src="http://www.youtube.com/v/<%= comment.getLink() %>?fs=1" type="application/x-shockwave-flash" allowfullscreen="true" allowscriptaccess="always"
 width="425" height="344">
</embed></object></div>
<% 
} else if (comment.getType() == Comment.IMAGE) {
%>
<div><img src="http://zonefeed.appspot.com/image/<%= comment.getImage().getId() %>" width="<%= comment.getImageWidth() %>" height="<%= comment.getImageHeight() %>" /></div>
<% 
}
%>]]></description>
<pubDate><%= formatter.format(new Date(comment.getCreated())) %></pubDate>
</item>
<%
	}
%>
</channel>
</rss>