<%@ page import='edu.uoc.zonefeed.*' %>
<%@ page import='com.googlecode.objectify.Key' %>
<%@ page import='com.google.appengine.api.users.UserService' %>
<%@ page import='com.google.appengine.api.users.UserServiceFactory' %>
<%
UserService userService = UserServiceFactory.getUserService();
if (!userService.isUserLoggedIn()) {
  out.print("<em>You're not logged in</em>");
} else {
  Comment comment = Persistance.getInstance().getComment(Long.parseLong(request.getParameter("id")));
  
  CommentScore score = Persistance.getInstance().getCommentScore(comment.getId(), userService.getCurrentUser());
  
  String message;
  
  if (score != null) {
	  message = "You already voted this comment";
  } else {
	  String type = request.getParameter("type");
	  if (type.equals("down")) {
		  comment.setNegativeVotes(comment.getNegativeVotes() + 1);
	  } else {
		  comment.setPositiveVotes(comment.getPositiveVotes() + 1);
	  }
	  
	  Persistance.getInstance().storeComment(comment);
	  
	  CommentScore newScore = new CommentScore();
	  newScore.setAuthor(userService.getCurrentUser());
	  newScore.setComment(new Key<Comment>(Comment.class, comment.getId()));
	  
	  Persistance.getInstance().storeCommentScore(newScore);
	  
	  message = "Thanks for voting!";
  }
  
  String votesUp = "0";
  String votesDown = "0";
  if (comment.getPositiveVotes() > 0) {
	votesUp = "+" + comment.getPositiveVotes();
  }
  if (comment.getNegativeVotes() > 0) {
	votesDown = "-" + comment.getNegativeVotes();
  }
  
  %>
  <span class="votesup"><%= votesUp %></span> <span class="votesdown"><%= votesDown %></span> <em><%= message %></em>
  <%
}
%>